package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

import de.fhhannover.inform.trust.ifmapj.exception.IfmapErrorResult;

/**
 * Interface to access {@link SearchResult} objects contained in a {@link PollResult}.
 * 
 * <b>Note:</b> All returned collections should be assumed to be unmodifiable.
 * 
 * @author aw
 *
 */
public interface PollResult {
	
	public Collection<SearchResult> getSearchResults();

	public Collection<SearchResult> getUpdateResults();

	public Collection<SearchResult> getDeleteResults();

	public Collection<SearchResult> getNotifyResults();

	public Collection<IfmapErrorResult> getErrorResults();
}
