package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

/**
 * Interface to access data concerning a {@link PublishRequest}.
 * 
 * MAPCs can publish or delete metadata on a MAPS. A {@link PublishRequest}
 * is used to do these operations. A {@link PublishRequest} can hold one or
 * more of {@link PublishUpdate}, {@link PublishNotify}
 * and {@link PublishDelete} elements.
 * 
 * @author aw
 *
 */
public interface PublishRequest extends Request {
	
	/**
	 * @param pe the element to add to the list
	 * @throws NullPointerException if the given element is null
	 */
	public void addPublishElement(PublishElement pe);
	
	/**
	 * <b>Note:</b> The returned collection is unmodifiable.
	 * 
	 * @return the list of elements in the request
	 */
	public Collection<PublishElement> getPublishElements();
}
