package de.fhhannover.inform.trust.ifmapj;

/**
 * Configuration for test cases. Based upon {@link ConfData} but implemented
 * as singleton in order to allow lookup of resources that are provided within
 * the maven resources folders. 
 * 
 * @author ibente
 *
 */
public class Config {
	
	public static Config mInstance = new Config();
	
	public final String KEY_STORE_PATH = "/test.jks";
	public final String KEY_STORE_PASSWORD = "test1234";
	public final String TRUST_STORE_PATH = "/test.jks";
	public final String TRUST_STORE_PASSWORD = "test1234";
	public final String BASIC_AUTH_SERVER_URL = "https://localhost:8443";
	public final String CERT_AUTH_SERVER_URL = "https://localhost:8444";
	public final String BASIC_AUTH_USER = "test";
	public final String BASIC_AUTH_PASSWORD = "test";
	
	private Config() { };
	
	public void setSystemProperties() {
		System.setProperty("javax.net.ssl.trustStore", getClass().getResource(TRUST_STORE_PATH).getPath());
		System.setProperty("javax.net.ssl.trustStorePassword", TRUST_STORE_PASSWORD);
		System.setProperty("javax.net.ssl.keyStore", getClass().getResource(KEY_STORE_PATH).getPath());
		System.setProperty("javax.net.ssl.keyStorePassword", KEY_STORE_PASSWORD);
	}
	
	public static Config getInstance(){
		return mInstance;
	}
}
